@echo OFF
rem  * *******************************************************************
rem  *               IT256FE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read ASCII-Record-Sequential, write ASCII/Text file.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read a Record Sequential File and write to a Line
rem  * Sequential file.
rem  *
rem  *    ************
rem  *    * IT256FE1 *
rem  *    ********cmd*
rem  *         *
rem  *         *
rem  *    ************     ************     ************
rem  *    * SimoEXEC ******* SIMOLOGS ******* CONSOLE  *
rem  *    ********cbl*  *  ********cbl*  *  ************
rem  *         *        *                *
rem  *         *        *                *  ************
rem  *         *        *                ****  SYSLOG  *
rem  *         *        *                   ********txt*
rem  *         *        *
rem  *         *        **************************
rem  *         *                                 *
rem  *         *           ************     ************     ************
rem  *         *           * ITMEXTSV ******* R2L256C1 ******* It256F01 *
rem  *         *           ********dat*     ********cbl*     ********csv*
rem  *         *
rem  *    ************
rem  *    *   EOJ    *
rem  *    ************
rem  *
rem  * *******************************************************************
rem  * Step   1   Delete any previously created file...
rem  *
     set CmdName=IT256FE1
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%, User is %USERNAME%"
:DeleteQSAM
     call SimoNOTE "Identify JobStep DeleteQSAM"
     set Dat256RS=%BaseLib1%\DataLibA\Dyn1\SIMOTIME.DATA.ITMEXTSV.DAT
     set Dat256LS=%BaseLib1%\DataLibA\Wrk1\IT256F01.CSV
     if exist %Dat256LS% del %Dat256LS%
rem  *
rem  * *******************************************************************
rem  * Step   2   Edit input, create a new output file...
rem  *
:ExecuteFileFormatConversion
     call SimoNOTE "Identify JobStep ExecuteFileFormatConversion
     run R2L256C1
     if exist %Dat256LS% call SimoNOTE "Produced DataSet %Dat256LS%"
     call SimoNOTE "Finished JobName %CmdName%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
