//ITCSQJ01 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*        This program is provided by SimoTime Technologies          *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Create a Sequential Data Set on disk using IEBGENER.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The first job step (SQ01DELT) will delete any previously created
//* file. The second job step (ITCSQS01) will create a new file.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//*                      ************
//*                      * ITCSQJ01 *
//*                      ********jcl*
//*                           *
//*                           *
//*                      ************     ************
//*                      * IEFBR14  ******* ITEMSQ01 *
//*                      ********utl*     ***delete***
//*                           *
//*                           *
//*     ************     ************     ************
//*     *  SYSUT2  ******* IEBGENER ******* ITEMSQ01 *
//*     ********jcl*     ********utl*     *******qsam*
//*                           *
//*                           *
//*                      ************
//*                      *   EOJ    *
//*                      ************
//*
//* *******************************************************************
//* Step   1 of 2  Delete any previously created file...
//*
//SQ01DELT EXEC PGM=IEFBR14
//ITEMSQ01 DD  DSN=SIMOTIME.DATA.ITEMSQ01,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step   2 of 2  Create and populate a new QSAM file...
//*
//ITCSQS01 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8
//SYSUT1   DD  *
/DE000000000001Distributor Cap
/OH00000000000100006
/UM000000000001Each
/PR0000000000016.98
/CS0000000000013.29
/DE000000000002Rotor
/OH00000000000200018
/UM000000000002Each
/PR0000000000022.95
/CS0000000000020.98
/DE000000000091Head Light
/OH00000000009100003
/UM000000000091Each
/PR00000000009114.79
/CS00000000009108.15
/DE000000000092Tail Light (12 Volt)
/UM000000000092Pair
/PR0000000000921.98
/CS00000000009200.79
/DE000000000093Dome Light (12 Volt)
/UM000000000093Each
/PR0000000000930.98
/CS00000000009300.49
/DE000000000101Spark Plug 6AG7
/UM000000000101Each
/PR0000000001012.49
/CS00000000010100.98
/DE000000000201Lug Nut 1/2"
/UM000000000201Each
/PR0000000002010.98
/CS00000000020100.39
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.ITEMSQ01,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//
